| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | List of all members
Gaudi::Functional::Transformer< Out(const In &...), Traits_ > Class Template Referenceabstract

`#include <GaudiAlg/Transformer.h>`

Inheritance diagram for Gaudi::Functional::Transformer< Out(const In &...), Traits_ >:
[legend]
Collaboration diagram for Gaudi::Functional::Transformer< Out(const In &...), Traits_ >:
[legend]

## Public Member Functions
StatusCode | execute () override final
virtual Out | operator() (const In &...) const =0

## Private Member Functions
template<std::size_t... I>
StatusCode | invoke (std::index_sequence< I... >)

## Detailed Description

### template<typename Out, typename... In, typename Traits_>
class Gaudi::Functional::Transformer< Out(const In &...), Traits_ >

Definition at line 26 of file Transformer.h.

## Member Function Documentation

template<typename Out , typename... In, typename Traits_ >

StatusCode Gaudi::Functional::Transformer< Out(const In &...), Traits_ >::execute | ( |  | ) |
| inline final override

Definition at line 33 of file Transformer.h.

33 { return invoke( std::index_sequence_for<In...>{} ); }
Gaudi::Functional::Transformer< Out(const In &...), Traits_ >::invoke
StatusCode invoke(std::index_sequence< I... >)
Definition: Transformer.h:40
template<typename Out , typename... In, typename Traits_ >
template<std::size_t... I>

StatusCode Gaudi::Functional::Transformer< Out(const In &...), Traits_ >::invoke | ( | std::index_sequence< I... > |  | ) |
| inline private

Definition at line 40 of file Transformer.h.

41 {
42 using details::as_const;
43 using details::put;
44 try {
45 put( std::get<0>( this->m_outputs ),
46 as_const( *this )( as_const( *std::get<I>( this->m_inputs ).get() )... ) );
47 } catch ( GaudiException& e ) {
48 ( e.code() ? this->warning() : this->error() ) << e.message() << endmsg;
49 return e.code();
50 }
51 return StatusCode::SUCCESS;
52 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
Gaudi::Functional::details::as_const
constexpr std::add_const< T >::type & as_const(T &t) noexcept
Definition: FunctionalDetails.h:104
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:22
GaudiException::code
virtual const StatusCode & code() const
StatusCode for Exception.
Definition: GaudiException.h:119
Gaudi::Functional::m_inputs
std::vector< InputHandle_t< In > > m_inputs
Definition: MergingTransformer.h:45
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209
Gaudi::Functional::details::put
Out1 * put(DataObjectHandle< Out1 > &out_handle, Out2 &&out)
Definition: FunctionalDetails.h:116
template<typename Out , typename... In, typename Traits_ >

virtual Out Gaudi::Functional::Transformer< Out(const In &...), Traits_ >::operator() | ( | const In & | ... | ) | const
| pure virtual

The documentation for this class was generated from the following file:

- GaudiAlg/GaudiAlg/Transformer.h